LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
MarkableOutputStream Service Referencepublished

allows to set marks in an outputstream and to later jump back to these marks. More...

`import"MarkableOutputStream.idl";`

Inheritance diagram for MarkableOutputStream:

## Exported Interfaces
interface | com::sun::star::io::XOutputStream
| allows to write data at the current position. More...
interface | com::sun::star::io::XMarkableStream
| allows to create marks at the current position and to set the current position. More...
interface | com::sun::star::io::XActiveDataSource
| allows to access to the underlying sink of this stream. More...
interface | com::sun::star::io::XConnectable
| allows to navigate via a chain of streams More...

## Additional Inherited Members
Public Member Functions inherited from XOutputStream
void | writeBytes ([in] sequence< byte > aData) raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| writes the whole sequence to the stream. More...
void | flush () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| flushes out of the stream any data that may exist in buffers. More...
void | closeOutput () raises ( com::sun::star::io::NotConnectedException, com::sun::star::io::BufferSizeExceededException, com::sun::star::io::IOException)
| gets called to indicate that all data has been written. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XMarkableStream
long | createMark () raises ( com::sun::star::io::IOException )
| creates a mark of the current position and returns an identifier to it. More...
void | deleteMark ([in] long Mark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| deletes the mark that you previously created with XMarkableStream::createMark(). More...
void | jumpToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| jumps to a previously created mark. More...
void | jumpToFurthest () raises ( com::sun::star::io::IOException )
| jumps to the furthest position of the stream. More...
long | offsetToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XActiveDataSource
void | setOutputStream ([in] com::sun::star::io::XOutputStream aStream)
| plugs the output stream. More...
com::sun::star::io::XOutputStream | getOutputStream ()
Public Member Functions inherited from XConnectable
void | setPredecessor ([in] com::sun::star::io::XConnectable aPredecessor)
| sets the source of the data flow for this object. More...
com::sun::star::io::XConnectable | getPredecessor ()
void | setSuccessor ([in] com::sun::star::io::XConnectable aSuccessor)
| sets the sink of the data flow for this object. More...
com::sun::star::io::XConnectable | getSuccessor ()

## Detailed Description

allows to set marks in an outputstream and to later jump back to these marks.

The implementation stores the data as long as marks exists and later writes these data into the output stream, that has been set previously at the XActiveDataSource interface.

## Exported Interfaces

## ◆ com::sun::star::io::XActiveDataSource

interface com::sun::star::io::XActiveDataSource

allows to access to the underlying sink of this stream.

## ◆ com::sun::star::io::XConnectable

interface com::sun::star::io::XConnectable

allows to navigate via a chain of streams

## ◆ com::sun::star::io::XMarkableStream

interface com::sun::star::io::XMarkableStream

allows to create marks at the current position and to set the current position.

## ◆ com::sun::star::io::XOutputStream

interface com::sun::star::io::XOutputStream

allows to write data at the current position.

Flushing the outputstream will only flush data, which was written before the first non-deleted mark, because data after the first non-deleted mark may be modified by later jumpToMark()/writeBytes() calls.

The documentation for this service was generated from the following file:

- com/sun/star/io/MarkableOutputStream.idl